// Demonstrate the NSDictionary class.

#import <Cocoa/Cocoa.h>

int main()
{
    // Every program must have an NSAutoreleasePool.
    NSAutoreleasePool *pool =  [[NSAutoreleasePool alloc] init];

    // Create the dictionary.
    NSMutableDictionary *dict = 
                    [NSMutableDictionary dictionaryWithCapacity:5];

    // Create the two key (index) objects.
    NSString *key1 = [NSString stringWithCString:"Simson"];
    NSString *key2 = [NSString stringWithCString:"Michael"];

    // Create the first data object.
    // Note that this uses a different NSString syntax than above.
    NSString *dat1 = @"Garfinkel";

    // Insert data into the dictionary. Note the second insertion
    //   does not assign the NSString object to a local variable.
    [dict setObject:dat1 forKey:key1];
    [dict setObject:@"Mahoney" forKey:key2];

    // Now show retrieval two different ways.
    NSLog(@"The object for key1 is %@\n",
          [dict objectForKey:key1]);
    NSLog(@"Michael's last name is: %@\n",
          [dict objectForKey:@"Michael"]);

    [pool release];

}

