//
//  Segment.m
//  GraphPaper
//
//  Created by mahoney on Sun Feb 03 2002.
//  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
//


#import "Segment.h"

@implementation Segment


- initFrom:(NSPoint)theStart to:(NSPoint)theEnd
{
    [super init];         // Init the NSObject superclass!

    start = theStart;
    end   = theEnd;
    color = [ [NSColor blackColor] retain];
    return self;
}


- (void)dealloc
{
    [color release];  // Release what you retain
    [super dealloc];  //  and dealloc the super class.
}



// Accessor methods
- (int)tag      { return tag; }
- (void)setTag:(int)aTag
{
    tag = aTag;
}


- (void)setColor:(NSColor *)aColor
{
    [color release];
    color = [aColor retain];
}


- (NSColor *)color
{
    return color;
}


// Methods that derive information for the caller

- (NSRect)bounds
{
    return NSMakeRect( MIN(start.x,end.x),
                       MIN(start.y,end.y),
                       fabs(start.x-end.x) + FLT_MIN,
                       fabs(start.y-end.y) + FLT_MIN);
}


- (NSPoint)segmentCenter
{
    return NSMakePoint((start.x+end.x)/2.0,
                       (start.y+end.y)/2.0);
}


- (void)stroke
{
    [color set];
    [NSBezierPath strokeLineFromPoint:start toPoint:end];
}

@end

