#import <Cocoa/Cocoa.h>

@class GraphView;

@interface Controller : NSObject
{
    IBOutlet id graphView;
    IBOutlet id prefController;
    
    IBOutlet id formatBox;
    IBOutlet id formatMatrix;
    NSSavePanel *savePanel;

}

- (IBAction)showPrefs:(id)sender;
- (GraphView *)graphView;

- (NSData *)PDFForView:(NSView *)aView;
- (IBAction)saveDocumentTo:(id)sender;
- (void)savePanelDidEnd:(NSSavePanel *)sheet returnCode:(int)returnCode contextInfo:(void *)contextInfo;
- (NSData *)TIFFForView:(NSView *)aView;

- (IBAction)setFormat:(id)sender;

// Chapter 20 - Pasteboard
- (void)copyToPasteboard:(NSPasteboard *)pboard; 
- (IBAction)copy:(id)sender;
- (void)pasteboard:(NSPasteboard *)sender 
        provideDataForType:(NSString *)type;
- (IBAction)cut:(id)sender;

    
    // Services
- (void)applicationDidFinishLaunching:(NSNotification *)aNot;
- (void)graphFormula:(NSPasteboard *)pboard
            userData:(NSString *)userData
               error:(NSString **)error;


// Chapter 21 - Defaults
- (void) awakeFromNib;

@end
